Loading...
Searching...
No Matches
Dune::VariableBlockVector< B, A >::CreateIterator Class Reference

Iterator class for sequential creation of blocks. More...

`#include <dune/istl/vbvector.hh>`

## Public Types

using | iterator_category = std::output_iterator_tag
| iterator category
using | value_type = size_type
| value type
using | difference_type = void
| difference type (unused)
using | pointer = size_type*
| pointer type
using | reference = SizeProxy
| reference type

## Public Member Functions

| CreateIterator (VariableBlockVector &_v, int _i, bool _isEnd)
| constructor
| ~CreateIterator ()
CreateIterator & | operator++ ()
| prefix increment
CreateIterator | operator++ (int)
| postfix increment operator
bool | operator!= (const CreateIterator &it) const
| inequality
bool | operator== (const CreateIterator &it) const
| equality
size_type | index () const
| dereferencing
void | setblocksize (size_type _k)
| set size of current block
size_type & | operator* ()
| Access size of current block.

## Detailed Description

template<class B, class A = std::allocator<B>>
class Dune::VariableBlockVector< B, A >::CreateIterator

Iterator class for sequential creation of blocks.

## Member Typedef Documentation

## difference_type

template<class B, class A = std::allocator<B>>

using Dune::VariableBlockVector< B, A >::CreateIterator::difference_type = void

difference type (unused)

This type is required by the C++ standard, but not used for output iterators.

## iterator_category

template<class B, class A = std::allocator<B>>

using Dune::VariableBlockVector< B, A >::CreateIterator::iterator_category = std::output_iterator_tag

iterator category

## pointer

template<class B, class A = std::allocator<B>>

using Dune::VariableBlockVector< B, A >::CreateIterator::pointer = size_type*

pointer type

## reference

template<class B, class A = std::allocator<B>>

using Dune::VariableBlockVector< B, A >::CreateIterator::reference = SizeProxy

reference type

## value_type

template<class B, class A = std::allocator<B>>

using Dune::VariableBlockVector< B, A >::CreateIterator::value_type = size_type

value type

## Constructor & Destructor Documentation

## CreateIterator()

template<class B, class A = std::allocator<B>>

Dune::VariableBlockVector< B, A >::CreateIterator::CreateIterator | ( | VariableBlockVector & | _v,
|  | int | _i,
|  | bool | _isEnd )

inline

constructor

## ~CreateIterator()

template<class B, class A = std::allocator<B>>

Dune::VariableBlockVector< B, A >::CreateIterator::~CreateIterator | ( |  | ) |

inline

## Member Function Documentation

## index()

template<class B, class A = std::allocator<B>>

size_type Dune::VariableBlockVector< B, A >::CreateIterator::index | ( |  | ) | const

inline

dereferencing

## operator!=()

template<class B, class A = std::allocator<B>>

bool Dune::VariableBlockVector< B, A >::CreateIterator::operator!= | ( | const CreateIterator & | it | ) | const

inline

inequality

## operator*()

template<class B, class A = std::allocator<B>>

size_type & Dune::VariableBlockVector< B, A >::CreateIterator::operator* | ( |  | ) |

inline

Access size of current block.

## operator++() [1/2]

template<class B, class A = std::allocator<B>>

CreateIterator & Dune::VariableBlockVector< B, A >::CreateIterator::operator++ | ( |  | ) |

inline

prefix increment

## operator++() [2/2]

template<class B, class A = std::allocator<B>>

CreateIterator Dune::VariableBlockVector< B, A >::CreateIterator::operator++ | ( | int |  | ) |

inline

postfix increment operator

## operator==()

template<class B, class A = std::allocator<B>>

bool Dune::VariableBlockVector< B, A >::CreateIterator::operator== | ( | const CreateIterator & | it | ) | const

inline

equality

## setblocksize()

template<class B, class A = std::allocator<B>>

void Dune::VariableBlockVector< B, A >::CreateIterator::setblocksize | ( | size_type | _k | ) |

inline

set size of current block

The documentation for this class was generated from the following file:

- vbvector.hh